package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 产品条码拆分表
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */

@TableName("Z_SPLIT_SFC")

public class SplitSfc extends Model<SplitSfc> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 拆出的产品条码
     */
   @TableField("SPLIT_SFC")
   private String splitSfc;
    /**
     * 拆分数量
     */
   @TableField("SPLIT_QTY")
   private BigDecimal splitQty;
    /**
     * 处置工艺路线
     */
   @TableField("ROUTER")
   private String router;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getSplitSfc() {
      return splitSfc;
   }

   public void setSplitSfc(String splitSfc) {
      this.splitSfc = splitSfc;
   }

   public BigDecimal getSplitQty() {
      return splitQty;
   }

   public void setSplitQty(BigDecimal splitQty) {
      this.splitQty = splitQty;
   }

   public String getRouter() {
      return router;
   }

   public void setRouter(String router) {
      this.router = router;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SFC = "SFC";

public static final String SPLIT_SFC = "SPLIT_SFC";

public static final String SPLIT_QTY = "SPLIT_QTY";

public static final String ROUTER = "ROUTER";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SplitSfc{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfc = " + sfc +
         ", splitSfc = " + splitSfc +
         ", splitQty = " + splitQty +
         ", router = " + router +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         "}";
   }
}